package edu.bu.signstream.common.util.vo.ss3.codingScheme.gestureMenus;

public class GestureProperty {

	private String id;
	private String name;
	private String order;
	private GestureCategory parentCategory;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public String getOrder() {
		return order;
	}
	public GestureCategory getParentCategory() {
		return parentCategory;
	}
	public void setParentCategory(GestureCategory parentCategory) {
		this.parentCategory = parentCategory;
	}

	public GestureProperty() {

	}

	public GestureProperty(String id, String name, String order, GestureCategory parentCategory) {
		this.id = id;
		this.name = name;
		this.order = order;
		this.parentCategory = parentCategory;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((parentCategory == null) ? 0 : parentCategory.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (!(obj instanceof GestureProperty)) {
			return false;
		}
		GestureProperty other = (GestureProperty) obj;

		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (name == null) {
			if (other.name != null) {
				return false;
			}
		} else if (!name.equals(other.name)) {
			return false;
		}
/*		if (parentCategory == null) {
			if (other.parentCategory != null) {
				return false;
			}
		} else if (!parentCategory.equals(other.parentCategory)) {
			return false;
		}*/
		return true;
	}
	@Override
	public String toString() {
		return name;
		//return "ID: " + this.id + " NAME: " + this.name + " ABBR: " + this.abbr;
	}
	
}
