package edu.bu.signstream.common.util.vo.ss3.codingScheme.templates;

public class CSHandShapeItem {

   private String id;
   private String imageID;
   private String description;
   private boolean unmarked;
   private int order;
   public CSHandShapeItem(String id, String imageID, String description, String unmarked, String order) {
      this.id = id;
      this.imageID = imageID;
      this.description = description;
      this.unmarked = unmarked.equals("Y");
      this.order = Integer.parseInt(order);
   }

    public String getId() {
        return this.id;
    }

    public String getImageID() {
        return this.imageID;
    }

    public String getDescription() {
        return this.description;
    }

    public boolean isUnmarked() {
        return this.unmarked;
    }

    public int getOrder() {
        return this.order;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setUnmarked(boolean unmarked) {
        this.unmarked = unmarked;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public void setOrder(String order) {
        this.order = Integer.parseInt(order);
    }
}
