package edu.bu.signstream.grepresentation.fields.handShapeField.dialogs;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Window;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.ArrayList;

import javax.swing.JDialog;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;

public class HandShapePalletDialog extends JDialog {

	private static final long serialVersionUID = 1L;

	public HandShapePalletDialog(
		ArrayList hps,
		HandShapePalletClient hsClient, SS3CodingScheme scheme,
		Window ownerFrame) {
		super(ownerFrame, "Hand Shapes Palette");

		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});

		HandShapePalette pal = new HandShapePalette(hps, hsClient, scheme);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(pal, BorderLayout.CENTER);

		this.pack();
		this.setResizable(false);
	}
}
