package edu.bu.signstream.grepresentation.view;

import java.awt.BorderLayout;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTree;
import javax.swing.SwingConstants;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreeCellRenderer;

public class PanelNodeRenderer implements TreeCellRenderer {
       JPanel panel;
       JLabel label;
       JLabel label2;
       JLabel label3;
 
       public PanelNodeRenderer() {
           panel = new JPanel(new BorderLayout());
           label = new JLabel();
           label.setHorizontalAlignment(SwingConstants.CENTER);
           panel.add(label, BorderLayout.NORTH);
           label2 = new JLabel();
           label2.setHorizontalAlignment(SwingConstants.CENTER);
           panel.add(label2,BorderLayout.SOUTH);
           label3 = new JLabel();
           label3.setHorizontalAlignment(SwingConstants.CENTER);
           panel.add(label3,BorderLayout.CENTER);
       }
 
       @Override
	public Component getTreeCellRendererComponent(JTree tree,
                                                     Object value,
                                                     boolean selected,
                                                     boolean expanded,
                                                     boolean leaf,
                                                     int row,
                                                     boolean hasFocus) {
           DefaultMutableTreeNode node = (DefaultMutableTreeNode)value;
           PanelNode panelNode = (PanelNode)node.getUserObject();
           label.setText(panelNode.text);
           label2.setText(panelNode.text);
           label3.setText(panelNode.text);
           //if(selected)
           //    panel.setBorder(BorderFactory.createLineBorder(
           //                        UIManager.getColor("Tree.selectionBorderColor")));
           //else
               panel.setBorder(BorderFactory.createLineBorder(panelNode.borderColor));
           panel.setBackground(panelNode.background);
           return panel;
       }
  // }
}