package edu.bu.signstream.ui.panels.search;

import java.io.Serializable;

public class SearchExpressionData implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private boolean validDataFlag;
	
	private boolean negateRuleFlag;
	
	private boolean negateParticipantFlag;
	private boolean anyParticipant;
	private String participantName;
	private String participantID;
	
	private boolean negateFieldAndValueFlag;
	
	private boolean negateFieldFlag;
	private boolean anyField;
	private String fieldName;
	private String fieldID;
	
	private boolean negateValueFlag;
	private boolean anyValue;
	private String valueName;
	private String valueID;
	private String valueText;
	
	private boolean exactWord;
	private boolean matchCase;
	
	private String frameSearchBy;
	
	public boolean isValidData() {
		return validDataFlag;
	}
	
	public void setValidDataFlag(boolean validDataFlag) {
		this.validDataFlag = validDataFlag;
	}
	
	public boolean isNegateRule() {
		return negateRuleFlag;
	}

	public void setNegateRuleFlag(boolean negateRuleFlag) {
		this.negateRuleFlag = negateRuleFlag;
	}

	public boolean isNegateParticipant() {
		return negateParticipantFlag;
	}

	public void setNegateParticipantFlag(boolean negateParticipantFlag) {
		this.negateParticipantFlag = negateParticipantFlag;
	}

	public String getParticipantName() {
		return participantName;
	}
	
	public void setParticipantName(String participantName) {
		this.participantName = participantName;
	}
	
	public String getParticipantID() {
		return participantID;
	}
	
	public void setParticipantID(String participantID) {
		this.participantID = participantID;
	}

	public void setAnyParticipant(boolean anyParticipant) {
		this.anyParticipant = anyParticipant;
	}

	public boolean isNegateFieldAndValue() {
		return negateFieldAndValueFlag;
	}

	public void setNegateFieldAndValueFlag(boolean negateFieldAndValueFlag) {
		this.negateFieldAndValueFlag = negateFieldAndValueFlag;
	}

	public boolean isNegateField() {
		return negateFieldFlag;
	}

	public void setNegateFieldFlag(boolean negateFieldFlag) {
		this.negateFieldFlag = negateFieldFlag;
	}

	public String getFieldName() {
		return fieldName;
	}
	
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public void setAnyField(boolean anyField) {
		this.anyField = anyField;
	}

	public String getFieldID() {
		return fieldID;
	}
	
	public void setFieldID(String fieldID) {
		this.fieldID = fieldID;
	}
	
	public boolean isNegateValue() {
		return negateValueFlag;
	}

	public void setNegateValueFlag(boolean negateValueFlag) {
		this.negateValueFlag = negateValueFlag;
	}

	public String getValueName() {
		return valueName;
	}
	
	public void setValueName(String valueName) {
		this.valueName = valueName;
	}

	public String getValueID() {
		return valueID;
	}
	
	public void setValueID(String valueID) {
		this.valueID = valueID;
	}
	
	public String getValueText() {
		return valueText;
	}
	
	public void setValueText(String valueText) {
		this.valueText = valueText;
	}

	public void setAnyValue(boolean anyValue) {
		this.anyValue = anyValue;
	}

	public boolean isExactWord() {
		return exactWord;
	}
	
	public void setExactWord(boolean exactWord) {
		this.exactWord = exactWord;
	}
	
	public boolean isMatchCase() {
		return matchCase;
	}
	
	public void setMatchCase(boolean matchCase) {
		this.matchCase = matchCase;
	}

	public String getFrameSearchBy() {
		return frameSearchBy;
	}

	public void setFrameSearchBy(String frameSearchBy) {
		this.frameSearchBy = frameSearchBy;
	}
	
	@Override
	public String toString() {
		return "SearchExpressionData [validDataFlag=" + validDataFlag + ", negateRuleFlag=" + negateRuleFlag
				+ ", negateParticipantFlag=" + negateParticipantFlag + ", participantName=" + participantName
				+ ", participantID=" + participantID + ", negateFieldAndValueFlag=" + negateFieldAndValueFlag
				+ ", negateFieldFlag=" + negateFieldFlag + ", fieldName=" + fieldName + ", fieldID=" + fieldID
				+ ", negateValueFlag=" + negateValueFlag + ", valueName=" + valueName + ", valueID=" + valueID
				+ ", valueText=" + valueText + ", exactWord=" + exactWord + ", matchCase=" + matchCase
				+ ", frameSearchBy=" + frameSearchBy + "]";
	}

	public boolean isAnyParticipant() {
		return anyParticipant;
	}

	public boolean isAnyField() {
		return anyField;
	}

	public boolean isAnyValue() {
		return anyValue;
	}
}
