package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Polygon;

public class PlayIcon extends VideoControlPanelIcon {

	public PlayIcon(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());
		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		int[] xPoints = { 5, 5, 16 };
		int[] yPoints = { 21, 0, 10 };
		Polygon image = new Polygon(xPoints, yPoints, 3);
		g2.fill(image);
	}
}
