/*
 * Created on Aug 2, 2007
 */
package edu.bu.signstream.codingScheme.ui.importLegacyCodingScheme;

import java.util.ArrayList;


public class LegacyCodingSchemaFormBean {

   private String name = "Legacy Coding Schema";
   private ArrayList entities = new ArrayList();
   
   
   public ArrayList getEntities() {
      return entities;
   }
   

   public String getName() {
      return name;
   }


   public void addEntity(LegacyCodingSchemaEntity entity) {
      entities.add(entity);
   }
   
   public LegacyCodingSchemaEntity getLegacyCodingSchemaEntityWithID(String id) {
      for(int i = 0; i < entities.size(); i++) {
         LegacyCodingSchemaEntity entity = (LegacyCodingSchemaEntity)entities.get(i);
         if(entity.getId().equals(id))
            return entity;
      }
      return null;
   }
   
   public ArrayList getDifFieldIDs() {
      ArrayList list = new ArrayList();
      
      for(int i = 0; i < entities.size(); i++) {
         LegacyCodingSchemaEntity entity = (LegacyCodingSchemaEntity)entities.get(i);
         if("*".equals(entity.getDiffEntityMarker()))
            list.add(entity.getFieldID());
      }
      
      return list;
   } 
}
