package edu.bu.signstream.common.util.vo;

import java.util.*;

public class CodingSchemaFieldType {
	private String type;
	private String label;
	private String description;

	// collection of CodingSchemaFieldImg objects
	private HashMap<String, CodingSchemaFieldImg> fieldImgs = new HashMap<String, CodingSchemaFieldImg>();

	public CodingSchemaFieldType(
		String type,
		String label,
		String description) {
		this.type = type;
		this.label = label;
		this.description = description;
	}
	
	public HashMap<String, CodingSchemaFieldImg> getHandShapeImages() {
		return fieldImgs;
	}

	public String getType() {
		return type;
	}

	public String getLabel() {
		return label;
	}

	public String getDescription() {
		return description;
	}

	public void addFieldImg(CodingSchemaFieldImg fieldImg) {
		fieldImgs.put(fieldImg.getImgID(), fieldImg);
	}

	public CodingSchemaFieldImg getCodingSchemaFieldImg(String imgID) {
		return fieldImgs.get(imgID);
	}
}
