package edu.bu.signstream.common.util.vo.ss3.media;

import edu.bu.signstream.media.Audio;
import edu.bu.signstream.media.Video;

import java.io.File;
import java.net.URI;

public class SS3MediaFile {

   private File file;
   private String id = "";
   private String description = "";
   private String name = "";

   private Video video;
   private Audio audio;

   public Audio getAudio() { return audio; }
   public void setAudio(Audio audio) { this.audio = audio; }

   public Video getVideo() { return video; }
   public void setVideo(Video video) { this.video = video; }

   public String getId() {
      return id == null ? "" : id;
   }
   
   public void setFile(String fileName) {
      file = new File(fileName);
   }

   public void setFile(File file) {
      this.file = file;
   }

   public void setId(String string) {
      id = string;
   }

   public String getDescription() {
      return description;
   }

   public File getFile() {
      return file;
   }

   public URI getUri() {
       return file != null ? file.toURI() : null;
   }

   public void setDescription(String string) {
      description = string;
   }
   
   public void setName(String name) {
	   this.name = name;
   }
   
   public String getName() {
	   return name;
   }
   
   @Override
public String toString() {
      StringBuffer bf = new StringBuffer();
      bf.append("ID = " + id + ", file = " + file.getPath() + ", description = " + description + ", name = " + name);
      return bf.toString();
   }
}

