package edu.bu.signstream.common.util.vo.ss3.note;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

public class SS3CompleteNoteInformationCollection {
   private HashMap collection = new HashMap();

   public void addNoteInformation(SS3CompleteNoteInformation noteInfo) {
      collection.put(noteInfo.getNoteID(), noteInfo);
   }

   public SS3CompleteNoteInformation getNoteInformation(String noteID) {
      return (SS3CompleteNoteInformation)collection.get(noteID);
   }
   
   public ArrayList getNoteInformationList() {
      ArrayList list = new ArrayList();
      Set keys = collection.keySet();
      Iterator it = keys.iterator();
      while(it.hasNext()) {
         String key = (String)it.next();
         list.add(collection.get(key));
      } 
      return list;
   }
}
