package edu.bu.signstream.grepresentation.fields.gestureField.dialog.handShapes;

public enum GestureDomNdomHandshapesType {
    SAME("Same Handshapes and Orientations Dom & Ndom"),
    ALTERNATING("Alt Same Handshapes and/or Orientations Dom & Ndom"),
    DIFFERENT("Diff't Handshapes and/or Orientations Dom & Ndom");


    String val;

    GestureDomNdomHandshapesType(String val) {
        this.val = val;
    }

    public String shortName() {
        // If val is "Same Handshapes Dom & Ndom", return "SAME"
        // If val is "Alt Same Handshapes Dom & Ndom", return "ALTERNATING"
        // If val is "Diff't Handshapes Dom & Ndom", return "DIFFERENT"

        if (this.val.equals("Same Handshapes Dom & Ndom")) {
            return "SAME";
        } else if (this.val.equals("Alt Same Handshapes Dom & Ndom")) {
            return "ALTERNATING";
        } else if (this.val.equals("Diff't Handshapes Dom & Ndom")) {
            return "DIFFERENT";
        } else {
            return null;
        }
    }

    @Override
    public String toString() {
        return val;
    }
}
