package edu.bu.signstream.grepresentation.view.main;

import edu.bu.signstream.common.SSMath;
import edu.bu.signstream.common.util.CoordinateTimeConverter;
import edu.bu.signstream.time.Duration;
import edu.bu.signstream.time.TimeUnit;

public class Zoomer {
    private final CoordinateTimeConverter converter;

    public Zoomer() {
        this.converter = new CoordinateTimeConverter();
    }

	public CoordinateTimeConverter getCoordinateTimeConvertor() {
		return converter;
	}

	public void zoom(double zoom) {
        converter.zoom(zoom);
    }
    public double zoom() {
        return converter.zoom();
    }

    public void fit(double duration) {
        converter.fit(duration);
    }
    public void fit(Duration duration) {
        converter.fit(duration);
    }

    public double getFit(double duration) {
        return converter.getFit(duration);
    }
    public double getFit(Duration duration) {
        return converter.getFit(duration);
    }

    /*
        TODO: REMOVE EVERYTHING BELOW
     */

    @Deprecated
	public void fillEntireUtterancePage(double duration, double _packetDuration, double width) {
        converter.resize(Math.round(width));
        converter.fit(duration);
	}

// 2020-09-24: if this is only used by search functions, consider refactoring or folding into other methods
//    public int getSliderPosition() {
//        double d = MAX_SLIDER_VALUE * (pixelInTimeFrame - ADDER) / FACTOR;
//        return (int) d;
//    }

	@Deprecated
	public void fillEntirePage(double duration, double _packetDuration, double width) {
        converter.resize(Math.round(width));

        if (duration == 0)
            converter.zoom(0);
        else
            converter.fit(duration);
	}

	@Deprecated
    public double getPixelsInTimeFrame() {
        return converter.getPixelsInTimeFrame();
    }
}
