package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.common.util.Util;
import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;

public class GoLastFrameEntityListener extends BaseListener implements ActionListener {

	public GoLastFrameEntityListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		EventsEntity entity = bar.selectedEntity();
		if (entity != null) {
            var range = Util.getCurrentRange(entity.getField());
            var time = entity.getEndTimeInfo().in(range);
            SS3Singleton.getMediaPlayer().seek(time);
		}
	}
}
