package edu.bu.signstream.grepresentation.view.mediaControl;

import edu.bu.signstream.common.util.Util;
import edu.bu.signstream.time.Duration;
import edu.bu.signstream.time.Time;
import edu.bu.signstream.grepresentation.fields.Event;

public class StartFrameBackListener extends StartFrameListener {

	public StartFrameBackListener(MediaToolBar bar) {
		super(bar);
	}
	
	@Override
    Time getNewTime(Event event) {
        var time = event.getStartTimeInfo();
        return time.subtract(Util.getStep());
	}
}
