package edu.bu.signstream.time;

public enum Rounding {
    NEAREST,
    FLOOR,
    CEIL;

    public long round(double v) {
        if (this == NEAREST)
            return Math.round(v);

        if (this == FLOOR)
            return (long)Math.floor(v);

        if (this == CEIL)
            return (long)Math.ceil(v);

        throw new IllegalStateException("Invalid Rounding!");
    }
}
