package edu.bu.signstream.ui.frame;

import javax.swing.*;
import java.awt.*;

public class SSFrame extends JFrame implements Blockable {
    private final Blocker blocker;

    public SSFrame(Blocker blocker) {
        this.blocker = blocker;
        getContentPane().add(blocker);
    }

    public SSFrame() {
        this(new Blocker(new JPanel(new BorderLayout()), Blocker.Darken()));
    }

    public JComponent child() { return blocker.view; }

    @Override public void block() { blocker.block(); }
    @Override public void unblock() { blocker.unblock(); }
    @Override public boolean blocked() { return blocker.blocked(); }
}
