package edu.bu.signstream.ui.panels;

import javax.swing.JButton;
import javax.swing.JTextField;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

public class DocumentModelListener implements DocumentListener {
	private JTextField nameTxt = null;
	private JButton btn = null;

	public DocumentModelListener(JTextField nameTxt, JButton btn) {
		super();
		this.nameTxt = nameTxt;
		this.btn = btn;
	}

	@Override
	public void removeUpdate(DocumentEvent e) {
		setEnabled();
	}

	@Override
	public void insertUpdate(DocumentEvent e) {
		setEnabled();
	}

	@Override
	public void changedUpdate(DocumentEvent e) {
		setEnabled();
	}

	private void setEnabled() {
		if (nameTxt.getText().trim().length() > 0) {
			btn.setEnabled(true);
		} else {
			btn.setEnabled(false);
		}
	}
}